Bug 28047 - Standardize: Call number, callnumber, Call no. etc.
Summary: Standardize: Call number, callnumber, Call no. etc.
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 28084
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-27 16:13 UTC by Katrin Fischer
Modified: 2021-04-06 13:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This patch modifies instances in the templates where variations of "Call number" are used. "Call number" is now used instead of "Call no.", "Call no", or "callnumber".
Version(s) released in:
21.05.00


Attachments
Bug 28047: Standardize: Call number, callnumber, Call no. etc. (16.13 KB, patch)
2021-03-29 18:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28047: Standardize: Call number, callnumber, Call no. etc. (16.18 KB, patch)
2021-03-31 10:26 UTC, David Nind
Details | Diff | Splinter Review
Bug 28047: Standardize: Call number, callnumber, Call no. etc. (16.23 KB, patch)
2021-04-03 12:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28084: (QA follow-up) Fix a few more Callnumber entries (3.88 KB, patch)
2021-04-03 12:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28047: (QA follow-up) Fix a few more Callnumber entries (3.80 KB, patch)
2021-04-06 12:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-03-27 16:13:27 UTC
We have various ways on how we use call number in the templates. It would help, also for translations, if we always used the same spelling/term.
Comment 1 Owen Leonard 2021-03-29 18:52:48 UTC
Created attachment 118981 [details] [review]
Bug 28047: Standardize: Call number, callnumber, Call no. etc.

This patch modifies instances in the template where variations of "Call
number" are used. Instead of "Call no." "Call no" or "callnumber," "Call
number" is used instead.

To test, apply the patch and test the following pages to confirm that
the label has been correctly updated. In the staff interface:

- Circulation -> Check out to a patron with checkouts -> View the table
  of checked-out items.
  - Check out to a patron who is guarantor to a patron with checkouts ->
    View the table of the relative's checked-out items.
- Catalog -> Bibliographic detail page
  -> Holdings table
  -> Place hold -> Check "specific items" table
  -> Rota (Stock rotation)
- Pending on-site checkouts
- Circulation -> Transfers to receive
- Circulation -> Transfers to send
- Patron -> Patron details
  -> Print -> Print summary
  -> Circulation history

In the OPAC:

- Log in as a user with checkouts
  -> View the checkout tab on the "Your summary" page
  -> Your checkout history

In self checkout:

- Log in as a user with checkouts -> View the checkouts table.
Comment 2 David Nind 2021-03-31 10:26:29 UTC
Created attachment 119036 [details] [review]
Bug 28047: Standardize: Call number, callnumber, Call no. etc.

This patch modifies instances in the template where variations of "Call
number" are used. Instead of "Call no." "Call no" or "callnumber," "Call
number" is used instead.

To test, apply the patch and test the following pages to confirm that
the label has been correctly updated. In the staff interface:

- Circulation -> Check out to a patron with checkouts -> View the table
  of checked-out items.
  - Check out to a patron who is guarantor to a patron with checkouts ->
    View the table of the relative's checked-out items.
- Catalog -> Bibliographic detail page
  -> Holdings table
  -> Place hold -> Check "specific items" table
  -> Rota (Stock rotation)
- Pending on-site checkouts
- Circulation -> Transfers to receive
- Circulation -> Transfers to send
- Patron -> Patron details
  -> Print -> Print summary
  -> Circulation history

In the OPAC:

- Log in as a user with checkouts
  -> View the checkout tab on the "Your summary" page
  -> Your checkout history

In self checkout:

- Log in as a user with checkouts -> View the checkouts table.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-04-03 12:43:38 UTC
Created attachment 119147 [details] [review]
Bug 28047: Standardize: Call number, callnumber, Call no. etc.

This patch modifies instances in the template where variations of "Call
number" are used. Instead of "Call no." "Call no" or "callnumber," "Call
number" is used instead.

To test, apply the patch and test the following pages to confirm that
the label has been correctly updated. In the staff interface:

- Circulation -> Check out to a patron with checkouts -> View the table
  of checked-out items.
  - Check out to a patron who is guarantor to a patron with checkouts ->
    View the table of the relative's checked-out items.
- Catalog -> Bibliographic detail page
  -> Holdings table
  -> Place hold -> Check "specific items" table
  -> Rota (Stock rotation)
- Pending on-site checkouts
- Circulation -> Transfers to receive
- Circulation -> Transfers to send
- Patron -> Patron details
  -> Print -> Print summary
  -> Circulation history

In the OPAC:

- Log in as a user with checkouts
  -> View the checkout tab on the "Your summary" page
  -> Your checkout history

In self checkout:

- Log in as a user with checkouts -> View the checkouts table.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-04-03 12:43:42 UTC
Created attachment 119148 [details] [review]
Bug 28084: (QA follow-up) Fix a few more Callnumber entries

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-04-06 12:56:41 UTC
Created attachment 119215 [details] [review]
Bug 28047: (QA follow-up) Fix a few more Callnumber entries

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-04-06 13:59:50 UTC
Pushed to master for 21.05, thanks to everybody involved!